### Enumeration

# Vips Interesting

#### Declaration

    enum Vips.Interesting

#### Description [src]

Pick the algorithm vips uses to decide image “interestingness”. This is used by `vips_smartcrop()`, for example, to decide what parts of the image to keep.

`VIPS_INTERESTING_NONE` and `VIPS_INTERESTING_LOW` mean the same — the crop is positioned at the top or left. `VIPS_INTERESTING_HIGH` positions at the bottom or right.

See also

`vips_smartcrop()`.

#### Members

`VIPS_INTERESTING_NONE`

  Do nothing.

  - Value: `0`
  - Available since: 8.0
`VIPS_INTERESTING_CENTRE`

  Just take the centre.

  - Value: `1`
  - Available since: 8.0
`VIPS_INTERESTING_ENTROPY`

  Use an entropy measure.

  - Value: `2`
  - Available since: 8.0
`VIPS_INTERESTING_ATTENTION`

  Look for features likely to draw human attention.

  - Value: `3`
  - Available since: 8.0
`VIPS_INTERESTING_LOW`

  Position the crop towards the low coordinate.

  - Value: `4`
  - Available since: 8.0
`VIPS_INTERESTING_HIGH`

  Position the crop towards the high coordinate.

  - Value: `5`
  - Available since: 8.0
`VIPS_INTERESTING_ALL`

  Everything is interesting.

  - Value: `6`
  - Available since: 8.0